# vim: set ts=4 sw=4 et:

Name:           cclive
Version:        0.7.9
Release:        1.5
Summary:        Command Line Video Extraction Utility
Source:         http://sourceforge.net/projects/cclive/files/0.7/cclive-%{version}.tar.bz2
URL:            http://cclive.sourceforge.net/
Group:          Productivity/Networking/Other
License:        GNU General Public License version 3 (GPL v3)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libcurl-devel >= 7.20
BuildRequires:  boost-devel
BuildRequires:  pcre-devel >= 8.02
BuildRequires:  libquvi-devel >= 0.2.0
BuildRequires:  gcc-c++ make glibc-devel pkg-config autoconf automake libtool

%description
cclive is a command line video extraction utility similar to clive but focuses
on low requirements. Its features are few and essential.

cclive is intended for users who prefer lightweight and "snappy" programs. It
was written in C and depends on libcurl. cclive sports much of the same
features but some compromises were made along the way to keep the
prerequisites low.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags} V=1

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS README
%{_bindir}/cclive
%doc %{_mandir}/man1/cclive.1%{ext_man}

%changelog
* Sun Jul  8 2012 dnh@opensuse.org
- update to 0.7.9
* Tue Nov 29 2011 reddwarf@opensuse.org
- update to 0.7.8
* Sun Mar 13 2011 pascal.bleser@opensuse.org
- update to 0.7.3 (no user-visible changes)
* Sat Feb 12 2011 pascal.bleser@opensuse.org
- update to 0.7.2:
  * SIGUSR1 handling was added
  * a progress meter was added
  * a Window resizing issue with the progressbar was addressed
* Tue May 18 2010 pascal@links2linux.de
- update to 0.6.3:
  * update to use libquvi's quvi_next_supported_website function
  * add AM_SILENT_RULES(yes)
* Wed Mar 31 2010 pascal@links2linux.de
- update to 0.6.2:
  * fixes an issue with the format option preventing the use of the "best" ID
* Sat Feb 13 2010 pascal@links2linux.de
- update to 0.6.1:
  * fixes a "missing separator" bug and replaces hardcoded format
    ID values with libquvi provided values
* Fri Dec 18 2009 pascal.bleser@opensuse.org
- update to 0.5.7:
  * adds additional regular expression support to --substitute
  * fixes a few bugs
* Thu Oct 15 2009 pascal.bleser@opensuse.org
- update to 0.5.3:
  * addresses some of the libiconv issues found on some platforms
  * improves the video page fetching by dropping the use of the tmpfile function altogether
* Wed Sep 30 2009 pascal.bleser@opensuse.org
- update to 0.5.2:
  * fixes a number of issues with some of the supported Web sites
* Tue Sep 15 2009 pascal.bleser@opensuse.org
- update to 0.5.1:
  * fixes Break Website support
  * addresses a Google video title parsing issue
  * the resumed transfers are no longer treated as errors when the server returns HTTP/206
* Sat Aug 29 2009 pascal.bleser@opensuse.org
- update to 0.5.0:
  * replaces the Perl dependency with iconv and PCRE, reducing memory usage with video titles significantly
  * adds support for the remaining Web sites from clive
  * adds a few new options
  * parses video titles by default
* Thu Jul 30 2009 pascal.bleser@opensuse.org
- update to 0.4.6:
  * this release adds support for a few new Web sites
  * adds a --stream-pass option
  * fixes Unicode support and dailymotion support
  * ports a number of other changes from clive
* Tue Jul  7 2009 pascal.bleser@opensuse.org
- update to 0.4.5:
  * adds tests
  * fixes Google mp4 support
  * implements return codes
* Mon Jun 22 2009 pascal.bleser@opensuse.org
- update to 0.4.4:
  * Vimeo support
* Sun Jun 14 2009 pascal.bleser@opensuse.org
- update to 0.4.3:
  * fixes a number of bugs
  * adds new format options
* Sat May  9 2009 pascal.bleser@opensuse.org
- update to 0.4.2
* Fri Apr 17 2009 pascal.bleser@opensuse.org
- update to 0.3.2:
  * adds the requested connect timeout options
* Sun Apr  5 2009 pascal.bleser@opensuse.org
- update to 0.3.1:
  * adds YouTube HD support
  * adds content-type parsing
  * cleans up the manual page
* Fri Mar 27 2009 pascal.bleser@opensuse.org
- update to 0.3.0
* Wed Mar 18 2009 pascal.bleser@opensuse.org
- update to 0.2.5:
  * fixes GoogleVideo support
  * ports LastFm-Youtube support from clive
* Tue Mar 10 2009 guru@unixtech.be
- update to 0.2.4:
  * adds new title and streaming features
* Sat Feb 21 2009 guru@unixtech.be
- update to 0.2.3:
  * fixes a file naming issue which caused files to be named only as numeric
    suffices
  * an additional option has been added
* Sun Feb 15 2009 guru@unixtech.be
- update to 0.2.2:
  * minor bugfixes
  * a few new features
* Tue Feb 10 2009 guru@unixtech.be
- update to 0.2.0:
  * fixes Sevenload support
  * adds support for Dailymotion
  * changes the output file name template
  * fixes some memory leaks
* Sun Feb  1 2009 guru@unixtech.be
- new package
